Get a receipt by ID

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receipt_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
Unique receipt ID.
created_atdatetime
Creation timestamp.
updated_atdatetime
Update timestamp.
originenum
Specifies how this receipt was created in Monite.
created_by_entity_user_idstringOptionalformat: "uuid"
Entity user who created.
currencyenumOptional
Currency code.
currency_exchangemap from strings to anyOptional
Currency exchange details.
descriptionstringOptional<=1024 characters
Short transaction description.
document_idstringOptional<=255 characters
Receipt number.
file_idstringOptionalformat: "uuid"
The id of the receipt file stored in the file saver.
file_urlstringOptional
The URL of the receipt file stored in the file saver.
issued_atdatetimeOptional
Date when the receipt was issued.
merchant_locationstringOptional<=255 characters
Merchant location.
merchant_namestringOptional<=128 characters
Merchant name.
ocr_request_idstringOptionalformat: "uuid"
OCR request id.
ocr_statusstringOptional
OCR status.
partner_metadatamap from strings to anyOptional
Partner metadata.
senderstringOptionalformat: "email"
The email address from which the invoice was sent to the entity.
source_of_dataenumOptional
Source of data.
total_amountintegerOptional
Total amount in minor units.
transaction_idstringOptionalformat: "uuid"
Transaction ID.

Errors

401
Get Receipts ID Request Unauthorized Error
403
Get Receipts ID Request Forbidden Error
404
Get Receipts ID Request Not Found Error
422
Get Receipts ID Request Unprocessable Entity Error
500
Get Receipts ID Request Internal Server Error